GO-TOOL(1)

NAME
go-tool - run specified go tool

SYNOPSIS
go tool [-n] command [args...]

DESCRIPTION
Tool runs the go tool command identified by the arguments.

Go ships with a number of builtin tools, and additional tools may be defined in the go.mod of the current module.

With no arguments it prints the list of known tools.

OPTIONS
The -n flag causes tool to print the command that would be executed but not execute it.

The -modfile=file.mod build flag causes tool to use an alternate file instead of the go.mod in the module root directory.

Tool also provides the -C, -overlay, and -modcacherw build flags.

For more about build flags, see `go help build'.

For more about each builtin tool command, see `go doc cmd/<command>'.

AUTHOR
This manual page was created using help2man and afterwards updating the output. It is maintained by the Debian Go Compiler Team <team+go-compiler@tracker.debian.org> for the Debian project (and may be used by others).